Last Comment Bug 769167 - [Tracking bug] verify B2G frame rate meets required rate
: [Tracking bug] verify B2G frame rate meets required rate
Status: RESOLVED WONTFIX
:
Product: Testing
Classification: Components
Component: Eideticker (show other bugs)
: unspecified
: ARM Android
-- normal (vote)
: ---
Assigned To: Malini Das [:mdas] - Away, not checking bugmail
:
:
Mentors:
Depends on: 769187 771653 781039 781178 783023 783651 789301
Blocks: mobile-automation
  Show dependency treegraph
 
Reported: 2012-06-28 01:10 PDT by Michael:mtreese
Modified: 2013-10-30 09:25 PDT (History)
14 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+


Attachments

Description User image Michael:mtreese 2012-06-28 01:10:05 PDT
Test B2G frame rate on Panda Board: target is 60fps
Comment 1 User image JP Rosevear [:jpr] 2012-06-28 01:14:55 PDT
Panda board is believe to be most analogous device with video out to otoro type phones.  If possible we should probably disable one of the two cores on the panda board to better simulate.

mwu, cjones said you would be able to help on the stand up of b2g on the panda board.  Ideally we'd have this done before July 20.
Comment 2 User image Michael Wu [:mwu] 2012-06-28 02:13:02 PDT
I'll get it running as soon as I receive a panda board.
Comment 3 User image Jonathan Griffin (:jgriffin) 2012-07-06 13:46:41 PDT
cjones, michael, what scenarios should we be trying to measure the framerate of?  Transitions during launching of apps from the home screen?
Comment 4 User image Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-07-06 14:42:38 PDT
There are three broad classes
 - transitions and animations.  This includes the animation when opening/closing apps, transitioning between "pages" within apps, and rotating the screen.

 - scrolling/panning/zooming.  Basically the same thing as fennec, but we want to test panning/zooming of arbitrary content in the "browser app", in addition to panning of lists within gaia apps.

 - raw perf: video playback and camera preview are the big ones.  WebGL games/demos and 2D canvas games after that.
Comment 5 User image Michael Wu [:mwu] 2012-07-09 14:22:57 PDT
Bug 771653 needs to be fixed but once fixed, the pandaboard should be able to output video fine. I've landed support for building for the pandaboard. The pandaboard is a bit tricky to setup - some notes:

- Rebooting from android into fastboot doesn't work. So, in order to use the flash script, you have to manually put the device into fastboot mode by holding the GPIO_113 button while plugging in power.
- You have to format the sd card using the instructions in devices/ti/panda/README, which partitions the card in a way that resembles normal Android devices.
- The default partition scheme uses *very* little sd card space - I think no more than 1-2GB.
Comment 6 User image cmtalbert 2012-07-09 17:31:50 PDT
I want to be certain I understand. Once bug 771653 is fixed, we'll be able to build the pandaboard as one of the device targets when building a b2g build?
Comment 7 User image Michael Wu [:mwu] 2012-07-09 18:26:19 PDT
(In reply to Clint Talbert ( :ctalbert ) from comment #6)
> I want to be certain I understand. Once bug 771653 is fixed, we'll be able
> to build the pandaboard as one of the device targets when building a b2g
> build?

You can already build the pandaboard as one of the device targets in a B2G build. You'll just have to apply the patch I posted to bug 771653 to the gecko repo to make it work.
Comment 8 User image Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-08-15 10:57:02 PDT
Malini, is this a good "get Eideticker working with b2g" metabug?  Are you working on this?
Comment 9 User image Andrew Overholt [:overholt] 2012-08-15 11:12:14 PDT
While we obviously need this from a product qualification standpoint, we discussed during triage that it's not a release blocker from an engineering perspective.  Therefore I'm clearing the basecamp-blocker flag but please re-nom if this is incorrect in your opinion.

(How will we keep track of these sorts of issues if we don't + them?)
Comment 10 User image Jonathan Griffin (:jgriffin) 2012-08-15 11:27:52 PDT
(In reply to Chris Jones [:cjones] [:warhammer] from comment #8)
> Malini, is this a good "get Eideticker working with b2g" metabug?  Are you
> working on this?

Yes, and yes she is.
Comment 11 User image Malini Das [:mdas] - Away, not checking bugmail 2012-08-15 13:44:58 PDT
(In reply to Chris Jones [:cjones] [:warhammer] from comment #8)
> Malini, is this a good "get Eideticker working with b2g" metabug?  Are you
> working on this?

Yes, and it can replace Bug 781178 as a tracker bug if you prefer.
Comment 12 User image Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-08-15 13:49:38 PDT
Doesn't matter to me! :)
Comment 13 User image Malini Das [:mdas] - Away, not checking bugmail 2012-08-15 13:54:41 PDT
(In reply to Chris Jones [:cjones] [:warhammer] from comment #12)
> Doesn't matter to me! :)

heh okay, I think you can keep this as a metabug, it depends on all other related bugs.
Comment 14 User image Malini Das [:mdas] - Away, not checking bugmail 2013-10-30 09:25:28 PDT
No longer tracking fps on pandaboards. Moved to on-device fps testing: https://datazilla.mozilla.org/b2g/ and b2g eideticker results will eventually be posted there as well: Bug 909796

Note You need to log in before you can comment on or make changes to this bug.